Modbot Docs
APIAPI referenceWebhooks

List webhooks

GET/api/webhooks

Every webhook, with its delivery state. Never the secret.

Needs the ManageApiKeys permission.

AuthorizationBearer <token>

An API key, made on Settings, API keys. Every key starts with mbk_.

In: header

Response Body

application/json

application/problem+json

application/problem+json

curl -X GET "https://example.com/api/webhooks"
{  "webhooks": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "url": "string",      "eventTypes": [        "string"      ],      "subjectIds": [        "string"      ],      "enabled": true,      "ownerId": "4d206909-730f-409a-88f6-dcfaa8fc28cc",      "ownerName": null,      "canEdit": true,      "createdAt": "2019-08-24T14:15:22Z",      "lastSuccessAt": null,      "failingSince": null,      "lastError": null,      "nextAttemptAt": null,      "disabledAt": null,      "disabledReason": null,      "state": "string"    }  ],  "allowPrivateAddresses": true,  "canChangeAllowPrivateAddresses": true}

Modbot is not endorsed by or affiliated with VRChat Inc. or Discord Inc. VRChat is a trademark of VRChat Inc. Discord is a trademark of Discord Inc. SteamVR is a trademark of Valve Corporation. Windows is a trademark of Microsoft Corporation. Docker is a trademark of Docker, Inc. PostgreSQL is a trademark of the PostgreSQL Community Association of Canada. Railway is a trademark of Railway Corp. Other names are trademarks of their respective owners; see Legal. Modbot and its logo are trademarks of the Modbot project. Open source under AGPL-3.0.